window.Gleam.initSearch([{"doc":"glerd_valid","title":"glerd_valid","content":"# glerd_valid\n\n[![Package Version](https://img.shields.io/hexpm/v/glerd_valid)](https://hex.pm/packages/glerd_valid)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glerd_valid/)\n![Erlang-compatible](https://img.shields.io/badge/target-erlang-a2003e)\n![JavaScript-compatible](https://img.shields.io/badge/target-javascript-f1e05a)\n\nGleam Record validators using Glerd metadata\n\n```sh\ngleam add --dev glerd glerd_valid\n```\n\n#### 1. Describe your records with validation metadata\n\nExample:\n\n```gleam\npub type User {\n  /// valid:age:&#39;gte=18, lt=150&#39;\n  /// valid:name:&#39;gte=3, lt=100&#39;\n  User(age: Int, name: String)\n}\n```\n\n#### 2. Generate Records info\n\nUse [Glerd](https://github.com/darky/glerd)\n\n#### 3. Make module for validators generation\n\n###### my_module.gleam\n\n```gleam\nimport glerd_valid\nimport glerd_gen\n\npub fn main() {\n  glerd_gen.record_info\n  |&gt; glerd_valid.generate(&quot;src&quot;, _)\n}\n```\n\n#### 4. Gen validators\n\n```sh\ngleam run -m my_module\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glerd_valid&gt;.\n\n## Supported metadata\n\n#### Int, String\n\n- *gte*, *min* - Number/String length should greater or equal than\n- *gt* - Number/String length should greater than\n- *lte*, *max* - Number/String length should less or equal than\n- *lt* - Number/String length should less than\n- *eq* - should be equal to\n- *ne* - should not be equal to\n\n## Development\n\n```sh\ngleam test # and then commit generated file\n```\n","url":"index.html"},{"doc":"glerd_valid","title":"generate","content":"pub fn generate(\n  root: String,\n  record_info: List(\n    #(String, String, List(#(String, FieldType)), String),\n  ),\n) -&gt; Nil\n\nSynonyms:\nglerd_valid.generate\nglerd_valid generate","url":"glerd_valid.html#generate"},{"doc":"glerd_valid","title":"glerd_valid","content":"","url":"glerd_valid.html"}]);